build_image:
    image: docker:git
    services:
        - docker:dind
    script:
        - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
        - docker build -t registry.gitlab.com/michael.antemann/authman .
        - docker push registry.gitlab.com/michael.antemann/authman:latest
    only:
        - master
